// This is a test Arduino sketch for the 5110 dispay.
// You will need to install a suitable library.
// We coded this example using the library from https://github.com/platisd/nokia-5110-lcd-library
// but you should use whatever library works for you.
// Sorry, we don't offer support on writing Arduino code.

// **********   IMPORTANT NOTE     **********
// The 5110 LCD that we provide should be powered from 3.3V max.
// BUT the logic/signal IO connections are compatible with 3.3V max only (this is usual for any 5110 display)
// Do not use 5V power or logic for the logic/signal IO.
// For testing, we use the 3.3V Arduino Pro Micro, but you might want to use another 3.3V Arduino, logic level converters or resistor networks


//this is the library
#include <Nokia_LCD.h>

//this section defines the connections for the LCD 5110.
#define LRST 6
#define LCE 2
#define LDC 3
#define LDIN 4
#define LCLK 5

//this initiates the 5110
Nokia_LCD lcd(LCLK, LDIN, LDC, LCE, LRST);



void setup() {
  // Initialize the screen
  lcd.begin();
  // Set the contrast
  lcd.setContrast(60);  // Good values are usualy between 40 and 60
  // Clear the screen by filling it with black pixels
  lcd.clear(true);
  delay(1000);
  lcd.clear();
  delay(1000);  
  
    
  lcd.setCursor(0, 0);
  lcd.print("0123456789ABCDEFGHI");
  
  lcd.setCursor(0, 1);
  lcd.print("Hello world!");

  lcd.setCursor(0, 2);
  lcd.print("Hello world!");
  
  lcd.setCursor(0, 3);
  lcd.print("Hello world!");
  
  lcd.setCursor(0, 4);
  lcd.print("Hello world123456789abcdef");

lcd.setCursor(0, 5);
  lcd.print("Hello world!");

  delay(5000);
  lcd.clear(true);



}

void loop() {





}
